dbXML API

## com.dbxml.xml.dtsm
Class Producer

    java.lang.Object
      com.dbxml.xml.dtsm.Producer

Direct Known Subclasses:
  DOMProducer, SAXProducer, TextProducer

public class Producer
extends java.lang.Object

Producer

Constructor Summary
`Producer()`

Method Summary
`DocumentTable` `getDocumentTable()` getDocumentTable returns the DocumentTable that this Producer will use to generate an alternative representation.
`java.lang.Object` `getProperty(java.lang.String name)` getProperty returns a named property value for this Producer.
`void` `process()` process effectively kicks off the process that will produce the alternative representation of the associated DocumentTable.
`void` `process(Consumer consumer)` process effectively kicks off the process that will produce the alternative representation of the associated DocumentTable.
`void` `setDocumentTable(DocumentTable table)` setDocumentTable sets the DocumentTable that this Producer will use to generate an alternative representation.
`void` `setProperty(java.lang.String name, java.lang.Object value)` setProperty sets a named property value for this Producer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Producer

    public Producer()

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  setProperty sets a named property value for this Producer.

  Parameters:
    `name` - the property name
    `value` - the property value

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  getProperty returns a named property value for this Producer.

  Parameters:
    `name` - the property name
  Returns:
    the property value

### getDocumentTable

    public DocumentTable getDocumentTable()

  getDocumentTable returns the DocumentTable that this Producer will use to generate an alternative representation.

  Returns:
    the DocumentTable

### setDocumentTable

    public void setDocumentTable(DocumentTable table)

  setDocumentTable sets the DocumentTable that this Producer will use to generate an alternative representation.

  Parameters:
    `table` - the DocumentTable

### process

    public final void process()
                       throws java.lang.Exception

  process effectively kicks off the process that will produce the alternative representation of the associated DocumentTable. This form of the method will check the current instance to see if it implements Consumer, and then call process against itself.

  Throws:
    `java.lang.Exception`

### process

    public void process(Consumer consumer)
                 throws java.lang.Exception

  process effectively kicks off the process that will produce the alternative representation of the associated DocumentTable.

  Parameters:
    `consumer` - The Consumer to target for this processing
  Throws:
    `java.lang.Exception`

dbXML API

Copyright (c) 2004 The dbXML Group